defaults = {
    'ldap-frontend': {
        'ldap': {
            'server': 'ldap://localhost:389',
            'username': 'uid=ldap-frontend,ou=Applications,dc=qzwi,dc=de',
            'password': repo.vault.decrypt('encrypt$gAAAAABhwZ_5KNOCqkSwMm9zmeVksndPXXtrKJUatf7GYhwvVJQJQwM0OX7S-ZKHwBVCxegMqS46LrJX0ZLTH_gouekKEGRSsttARZgs9giAGy9ijXdDirQ='),
            'group_base': 'ou=Groups,dc=qzwi,dc=de',
            'user_base': 'ou=Users,dc=qzwi,dc=de',
        },
        'template': {
            'group_admin': '(&(objectclass=inetOrgPerson)(uid={})(memberOf=ou=qzwi-admins,ou=Groups,dc=qzwi,dc=de))',
            'group_dn': 'ou={},ou=Groups,dc=qzwi,dc=de',
            'group_members': '(&(objectclass=inetOrgPerson)(memberOf=ou={},ou=Groups,dc=qzwi,dc=de))',
            'group_nonmembers': '(&(objectclass=inetOrgPerson)(!(memberOf=ou={},ou=Groups,dc=qzwi,dc=de)))',
            'user_dn': 'uid={},ou=Users,dc=qzwi,dc=de',
            'user_search': '(&(objectclass=inetOrgPerson)(uid={}))',
        },
        'title': 'Usermanagement QZWI',
    },
    'monit': {
        'services': {
            'ldap-frontend': {
                'bin': '/opt/ldap-frontend/venv/bin/python /opt/ldap-frontend/venv/bin/gunicorn',
                'ports': {
                    '23000': {
                        'protocol': 'http',
                    },
                },
            },
        },
    },
}

